#include "Mp7JrsmediaDurationType.h"

void IMp7JrsmediaTimePointType::Add(Mp7JrsmediaDurationPtr duration, Mp7JrsClientID client) {
	int nFractions = (int)(GetTotalNrFractions()+(duration->GetTotalNrFractions()*1.0/duration->GetFractionsPerSecond())*GetFractionsPerSecond());
	SetTotalNrFractions(nFractions,client);
}

Mp7JrsmediaDurationPtr IMp7JrsmediaTimePointType::Subtract(Mp7JrsmediaTimePointPtr timePoint, Mp7JrsClientID client) {
	int nFractions = (int)(GetTotalNrFractions()-(timePoint->GetTotalNrFractions()*1.0/timePoint->GetFractionsPerSecond())*GetFractionsPerSecond());
	Mp7JrsmediaDurationPtr duration = CreatemediaDurationType;
	duration->SetFractionsPerSecond(GetFractionsPerSecond(),client);
	duration->SetTotalNrFractions(nFractions,client);
	return duration;
}

int IMp7JrsmediaTimePointType::GetTotalNrFractions() {
	int sum = 0;
	// days and moths missing!!!!!
	sum = 60 * (GetHours() + sum);
	sum = 60 * (GetMinutes() + sum);
	sum = GetFractionsPerSecond() * (GetSeconds() + sum);
	sum += GetNumberOfFractions(); 
	return sum;
}

void IMp7JrsmediaTimePointType::SetTotalNrFractions(int fractions, Mp7JrsClientID client) {
	int remainder = fractions;
	SetNumberOfFractions(remainder % GetFractionsPerSecond(),client);
	remainder /= GetFractionsPerSecond();
	SetSeconds (remainder % 60,client);
	remainder /= 60;
	SetMinutes (remainder % 60,client);
	remainder /= 60;
	SetHours (remainder,client);
	// days and months ignored!!!!
}

