

public:

	// IMPORTANT:
	// Years and months ARE IGNORED now in all of the calculations!!!!

	/** Get total number of fractions.
	  * @return Get the total number of fractions with respect to the timepoint's number of fractions/second. */
	virtual int GetTotalNrFractions();

	/** Set total number of fractions.
	  * @param fractions Total number of fractions with respect to the timepoint's number of fractions/second. */
	virtual void SetTotalNrFractions(int fractions, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);
	
	/** Add a duration to this timepoint */
	virtual void Add(Mp7JrsdurationPtr duration, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Subtract a timepoint from this one.
	  * @return The duration representing the difference of the two time points. */
	virtual Mp7JrsdurationPtr Subtract(Mp7JrstimePointPtr timePoint, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);


