/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _73MP7JRSANALYTICEDITEDVIDEOSEGMENTTYPE_TYPE_LOCALTYPE_H
#define _73MP7JRSANALYTICEDITEDVIDEOSEGMENTTYPE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType<br>
 * Located at: mds-2001.xsd, line 3958<br>
 * Enumerations: <br>
 * simple (mapped to XML simple) <br>
 * composite (mapped to XML composite) <br>
 */
class MP7JRS_EXPORT Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType
{
public:
	/** Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		simple, // Mapped to simple
		composite, // Mapped to composite
	};
	

// no includefile for extension defined 
// file Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType::Enumeration item);
	static Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsAnalyticEditedVideoSegmentType_type_LocalType_ExtPropDef.h


};
#endif // _73MP7JRSANALYTICEDITEDVIDEOSEGMENTTYPE_TYPE_LOCALTYPE_H
