/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _110MP7JRSAUDIOLLDVECTORTYPE_SERIESOFVECTOR_LOCALTYPEFACTORY_H
#define _110MP7JRSAUDIOLLDVECTORTYPE_SERIESOFVECTOR_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAudioLLDVectorType_SeriesOfVector_LocalTypeFactory<br>
 * for class Mp7JrsAudioLLDVectorType_SeriesOfVector_LocalType:<br>
 * Located at: audio-2001.xsd, line 66<br>
 * Classified: Class<br>
 * Derived from: SeriesOfVectorType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsAudioLLDVectorType_SeriesOfVector_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAudioLLDVectorType_SeriesOfVector_LocalTypeFactory();
    virtual ~Mp7JrsAudioLLDVectorType_SeriesOfVector_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _110MP7JRSAUDIOLLDVECTORTYPE_SERIESOFVECTOR_LOCALTYPEFACTORY_H
