/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _136MP7JRSAUDIOSIGNATURETYPEFACTORY_H
#define _136MP7JRSAUDIOSIGNATURETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAudioSignatureTypeFactory<br>
 * for class Mp7JrsAudioSignatureType:<br>
 * Located at: audio-2001.xsd, line 360<br>
 * Classified: Class<br>
 * Derived from: AudioDSType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsAudioSignatureTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAudioSignatureTypeFactory();
    virtual ~Mp7JrsAudioSignatureTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _136MP7JRSAUDIOSIGNATURETYPEFACTORY_H
