/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _268MP7JRSCAMERAMOTIONTYPE_SEGMENT_COLLECTIONTYPEFACTORY_H
#define _268MP7JRSCAMERAMOTIONTYPE_SEGMENT_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsCameraMotionType_Segment_CollectionTypeFactory<br>
 * for class Mp7JrsCameraMotionType_Segment_CollectionType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 834<br>
 * Abstract item type: CameraMotionSegmentType<br>
 * Possible classes:<br>
 * \li MixtureCameraMotionSegmentType (Class)<br>
 * \li NonMixtureCameraMotionSegmentType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsCameraMotionType_Segment_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsCameraMotionType_Segment_CollectionTypeFactory();
    virtual ~Mp7JrsCameraMotionType_Segment_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _268MP7JRSCAMERAMOTIONTYPE_SEGMENT_COLLECTIONTYPEFACTORY_H
