/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _340MP7JRSCLASSIFICATIONTYPE_GENRE_COLLECTIONTYPEFACTORY_H
#define _340MP7JRSCLASSIFICATIONTYPE_GENRE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsClassificationType_Genre_CollectionTypeFactory<br>
 * for class Mp7JrsClassificationType_Genre_CollectionType:<br>
 * Located at: mds-2001.xsd, line 2604<br>
 * Item type: ClassificationType_Genre_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsClassificationType_Genre_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsClassificationType_Genre_CollectionTypeFactory();
    virtual ~Mp7JrsClassificationType_Genre_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _340MP7JRSCLASSIFICATIONTYPE_GENRE_COLLECTIONTYPEFACTORY_H
