/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _490MP7JRSCOLORSAMPLINGTYPEFACTORY_H
#define _490MP7JRSCOLORSAMPLINGTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsColorSamplingTypeFactory<br>
 * for class Mp7JrsColorSamplingType:<br>
 * Located at: mds-2001.xsd, line 2308<br>
 * Classified: Class<br>
 * Derived from: DType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsColorSamplingTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsColorSamplingTypeFactory();
    virtual ~Mp7JrsColorSamplingTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _490MP7JRSCOLORSAMPLINGTYPEFACTORY_H
