/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _778MP7JRSDSTYPE_HEADER_COLLECTIONTYPEFACTORY_H
#define _778MP7JRSDSTYPE_HEADER_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDSType_Header_CollectionTypeFactory<br>
 * for class Mp7JrsDSType_Header_CollectionType:<br>
 * Located at: mds-2001.xsd, line 68<br>
 * Abstract item type: HeaderType<br>
 * Possible classes:<br>
 * \li ClassificationSchemeAliasType (Class)<br>
 * \li ConfusionCountType (Class)<br>
 * \li DescriptionMetadataType (Class)<br>
 * \li OrderingKeyType (Class)<br>
 * \li PhoneLexiconType (Class)<br>
 * \li PhoneticTranscriptionLexiconType (Class)<br>
 * \li SilenceHeaderType (Class)<br>
 * \li Spatial2DCoordinateSystemType (Class)<br>
 * \li SpeakerInfoType (Class)<br>
 * \li SpokenContentHeaderType (Class)<br>
 * \li WordLexiconType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDSType_Header_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDSType_Header_CollectionTypeFactory();
    virtual ~Mp7JrsDSType_Header_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _778MP7JRSDSTYPE_HEADER_COLLECTIONTYPEFACTORY_H
