/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _864MP7JRSFILTERTYPEFACTORY_H
#define _864MP7JRSFILTERTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsFilterTypeFactory<br>
 * for class Mp7JrsFilterType:<br>
 * Located at: mds-2001.xsd, line 4778<br>
 * Classified: Class<br>
 * Abstract class <br>
 */

class MP7JRS_EXPORT Mp7JrsFilterTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsFilterTypeFactory();
    virtual ~Mp7JrsFilterTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _864MP7JRSFILTERTYPEFACTORY_H
