/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _922MP7JRSGRAPHICALRULEDEFINITIONTYPEFACTORY_H
#define _922MP7JRSGRAPHICALRULEDEFINITIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsGraphicalRuleDefinitionTypeFactory<br>
 * for class Mp7JrsGraphicalRuleDefinitionType:<br>
 * Located at: mds-2001.xsd, line 1579<br>
 * Classified: Class<br>
 * Derived from: DSType (Class)<br>
 * Abstract class <br>
 */

class MP7JRS_EXPORT Mp7JrsGraphicalRuleDefinitionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsGraphicalRuleDefinitionTypeFactory();
    virtual ~Mp7JrsGraphicalRuleDefinitionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _922MP7JRSGRAPHICALRULEDEFINITIONTYPEFACTORY_H
