/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _972MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_COLLECTIONTYPEFACTORY_H
#define _972MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsHierarchicalSummaryType_components_CollectionTypeFactory<br>
 * for class Mp7JrsHierarchicalSummaryType_components_CollectionType:<br>
 * Located at: mds-2001.xsd, line 4494<br>
 * Item type: HierarchicalSummaryType_components_LocalType (Enumeration)<br>
 */

class MP7JRS_EXPORT Mp7JrsHierarchicalSummaryType_components_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsHierarchicalSummaryType_components_CollectionTypeFactory();
    virtual ~Mp7JrsHierarchicalSummaryType_components_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _972MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_COLLECTIONTYPEFACTORY_H
