/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _991MP7JRSIMAGETEXTTYPE_TEXTTYPE_LOCALTYPE_H
#define _991MP7JRSIMAGETEXTTYPE_TEXTTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsImageTextType_textType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsImageTextType_textType_LocalType<br>
 * Located at: mds-2001.xsd, line 3162<br>
 * Enumerations: <br>
 * superimposed (mapped to XML superimposed) <br>
 * scene (mapped to XML scene) <br>
 */
class MP7JRS_EXPORT Mp7JrsImageTextType_textType_LocalType
{
public:
	/** Mp7JrsImageTextType_textType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		superimposed, // Mapped to superimposed
		scene, // Mapped to scene
	};
	

// no includefile for extension defined 
// file Mp7JrsImageTextType_textType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsImageTextType_textType_LocalType::Enumeration item);
	static Mp7JrsImageTextType_textType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsImageTextType_textType_LocalType_ExtPropDef.h


};
#endif // _991MP7JRSIMAGETEXTTYPE_TEXTTYPE_LOCALTYPE_H
