/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1011MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H
#define _1011MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsInkMediaInformationType_Handedness_LocalType<br>
 * Located at: mds-2001.xsd, line 3816<br>
 * Enumerations: <br>
 * left (mapped to XML left) <br>
 * right (mapped to XML right) <br>
 * others (mapped to XML others) <br>
 */
class MP7JRS_EXPORT Mp7JrsInkMediaInformationType_Handedness_LocalType
{
public:
	/** Mp7JrsInkMediaInformationType_Handedness_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		left, // Mapped to left
		right, // Mapped to right
		others, // Mapped to others
	};
	

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsInkMediaInformationType_Handedness_LocalType::Enumeration item);
	static Mp7JrsInkMediaInformationType_Handedness_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Handedness_LocalType_ExtPropDef.h


};
#endif // _1011MP7JRSINKMEDIAINFORMATIONTYPE_HANDEDNESS_LOCALTYPE_H
