/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1113MP7JRSKEYWORDANNOTATIONTYPE_KEYWORD_TYPE_LOCALTYPE_H
#define _1113MP7JRSKEYWORDANNOTATIONTYPE_KEYWORD_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsKeywordAnnotationType_Keyword_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsKeywordAnnotationType_Keyword_type_LocalType<br>
 * Located at: mds-2001.xsd, line 1218<br>
 * Enumerations: <br>
 * main (mapped to XML main) <br>
 * secondary (mapped to XML secondary) <br>
 * other (mapped to XML other) <br>
 */
class MP7JRS_EXPORT Mp7JrsKeywordAnnotationType_Keyword_type_LocalType
{
public:
	/** Mp7JrsKeywordAnnotationType_Keyword_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		main, // Mapped to main
		secondary, // Mapped to secondary
		other, // Mapped to other
	};
	

// no includefile for extension defined 
// file Mp7JrsKeywordAnnotationType_Keyword_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsKeywordAnnotationType_Keyword_type_LocalType::Enumeration item);
	static Mp7JrsKeywordAnnotationType_Keyword_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsKeywordAnnotationType_Keyword_type_LocalType_ExtPropDef.h


};
#endif // _1113MP7JRSKEYWORDANNOTATIONTYPE_KEYWORD_TYPE_LOCALTYPE_H
