/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1132MP7JRSMEDIAAGENTTYPEFACTORY_H
#define _1132MP7JRSMEDIAAGENTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMediaAgentTypeFactory<br>
 * for class Mp7JrsMediaAgentType:<br>
 * Located at: mds-2001.xsd, line 2574<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsMediaAgentTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMediaAgentTypeFactory();
    virtual ~Mp7JrsMediaAgentTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1132MP7JRSMEDIAAGENTTYPEFACTORY_H
