/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1146MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE0FACTORY_H
#define _1146MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE0FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType0Factory<br>
 * for class Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType0:<br>
 * Located at: mds-2001.xsd, line 2282<br>
 * Regular expression: <br>
 * :[^:]+:[^:]+<br>
 * Mapped to string<br>
 */

class MP7JRS_EXPORT Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType0Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType0Factory();
    virtual ~Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType0Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1146MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE0FACTORY_H
