/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1459MP7JRSNONDEPENDENCYSTRUCTUREPHRASETYPE_SYNTHESIS_LOCALTYPE_H
#define _1459MP7JRSNONDEPENDENCYSTRUCTUREPHRASETYPE_SYNTHESIS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType<br>
 * Located at: mds-2001.xsd, line 1352<br>
 * Enumerations: <br>
 * unspecified (mapped to XML unspecified) <br>
 * coordination (mapped to XML coordination) <br>
 */
class MP7JRS_EXPORT Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType
{
public:
	/** Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		unspecified, // Mapped to unspecified
		coordination, // Mapped to coordination
	};
	

// no includefile for extension defined 
// file Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType::Enumeration item);
	static Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsNonDependencyStructurePhraseType_synthesis_LocalType_ExtPropDef.h


};
#endif // _1459MP7JRSNONDEPENDENCYSTRUCTUREPHRASETYPE_SYNTHESIS_LOCALTYPE_H
