/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1466MP7JRSNONMIXTURECAMERAMOTIONSEGMENTTYPEFACTORY_H
#define _1466MP7JRSNONMIXTURECAMERAMOTIONSEGMENTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsNonMixtureCameraMotionSegmentTypeFactory<br>
 * for class Mp7JrsNonMixtureCameraMotionSegmentType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 858<br>
 * Classified: Class<br>
 * Derived from: CameraMotionSegmentType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsNonMixtureCameraMotionSegmentTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsNonMixtureCameraMotionSegmentTypeFactory();
    virtual ~Mp7JrsNonMixtureCameraMotionSegmentTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1466MP7JRSNONMIXTURECAMERAMOTIONSEGMENTTYPEFACTORY_H
