/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1486MP7JRSORDERINGKEYTYPE_FIELD_COLLECTIONTYPEFACTORY_H
#define _1486MP7JRSORDERINGKEYTYPE_FIELD_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsOrderingKeyType_Field_CollectionTypeFactory<br>
 * for class Mp7JrsOrderingKeyType_Field_CollectionType:<br>
 * Located at: mds-2001.xsd, line 2017<br>
 * Item type: OrderingKeyType_Field_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsOrderingKeyType_Field_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsOrderingKeyType_Field_CollectionTypeFactory();
    virtual ~Mp7JrsOrderingKeyType_Field_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1486MP7JRSORDERINGKEYTYPE_FIELD_COLLECTIONTYPEFACTORY_H
