/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1643MP7JRSPREFERENCECONDITIONTYPE_TIME_RECURRENCE_LOCALTYPE_H
#define _1643MP7JRSPREFERENCECONDITIONTYPE_TIME_RECURRENCE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsPreferenceConditionType_Time_recurrence_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsPreferenceConditionType_Time_recurrence_LocalType<br>
 * Located at: mds-2001.xsd, line 5819<br>
 * Enumerations: <br>
 * none (mapped to XML none) <br>
 * daily (mapped to XML daily) <br>
 * weekly (mapped to XML weekly) <br>
 * monthly (mapped to XML monthly) <br>
 * annually (mapped to XML annually) <br>
 */
class MP7JRS_EXPORT Mp7JrsPreferenceConditionType_Time_recurrence_LocalType
{
public:
	/** Mp7JrsPreferenceConditionType_Time_recurrence_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		none, // Mapped to none
		daily, // Mapped to daily
		weekly, // Mapped to weekly
		monthly, // Mapped to monthly
		annually, // Mapped to annually
	};
	

// no includefile for extension defined 
// file Mp7JrsPreferenceConditionType_Time_recurrence_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsPreferenceConditionType_Time_recurrence_LocalType::Enumeration item);
	static Mp7JrsPreferenceConditionType_Time_recurrence_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsPreferenceConditionType_Time_recurrence_LocalType_ExtPropDef.h


};
#endif // _1643MP7JRSPREFERENCECONDITIONTYPE_TIME_RECURRENCE_LOCALTYPE_H
