/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1672MP7JRSPROBABILITYMATRIXTYPEFACTORY_H
#define _1672MP7JRSPROBABILITYMATRIXTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsProbabilityMatrixTypeFactory<br>
 * for class Mp7JrsProbabilityMatrixType:<br>
 * Located at: mds-2001.xsd, line 803<br>
 * Classified: Class<br>
 * Derived from: probabilityVector (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsProbabilityMatrixTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsProbabilityMatrixTypeFactory();
    virtual ~Mp7JrsProbabilityMatrixTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1672MP7JRSPROBABILITYMATRIXTYPEFACTORY_H
