/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1693MP7JRSRATINGTYPE_RATINGSCHEME_STYLE_LOCALTYPE_H
#define _1693MP7JRSRATINGTYPE_RATINGSCHEME_STYLE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsRatingType_RatingScheme_style_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsRatingType_RatingScheme_style_LocalType<br>
 * Located at: mds-2001.xsd, line 2445<br>
 * Enumerations: <br>
 * higherBetter (mapped to XML higherBetter) <br>
 * lowerBetter (mapped to XML lowerBetter) <br>
 */
class MP7JRS_EXPORT Mp7JrsRatingType_RatingScheme_style_LocalType
{
public:
	/** Mp7JrsRatingType_RatingScheme_style_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		higherBetter, // Mapped to higherBetter
		lowerBetter, // Mapped to lowerBetter
	};
	

// no includefile for extension defined 
// file Mp7JrsRatingType_RatingScheme_style_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsRatingType_RatingScheme_style_LocalType::Enumeration item);
	static Mp7JrsRatingType_RatingScheme_style_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsRatingType_RatingScheme_style_LocalType_ExtPropDef.h


};
#endif // _1693MP7JRSRATINGTYPE_RATINGSCHEME_STYLE_LOCALTYPE_H
