/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1743MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H
#define _1743MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsScalableColorType_numOfCoeff_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 347<br>
 * Enumerations: <br>
 * _16 (mapped to XML 16) <br>
 * _32 (mapped to XML 32) <br>
 * _64 (mapped to XML 64) <br>
 * _128 (mapped to XML 128) <br>
 * _256 (mapped to XML 256) <br>
 */
class MP7JRS_EXPORT Mp7JrsScalableColorType_numOfCoeff_LocalType
{
public:
	/** Mp7JrsScalableColorType_numOfCoeff_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_16, // Mapped to 16
		_32, // Mapped to 32
		_64, // Mapped to 64
		_128, // Mapped to 128
		_256, // Mapped to 256
	};
	

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsScalableColorType_numOfCoeff_LocalType::Enumeration item);
	static Mp7JrsScalableColorType_numOfCoeff_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtPropDef.h


};
#endif // _1743MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H
