/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1905MP7JRSSIGNALPLANEORIGINTYPE_YORIGIN_LOCALTYPE_H
#define _1905MP7JRSSIGNALPLANEORIGINTYPE_YORIGIN_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_yOrigin_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSignalPlaneOriginType_yOrigin_LocalType<br>
 * Located at: mds-2001.xsd, line 4750<br>
 * Enumerations: <br>
 * top (mapped to XML top) <br>
 * bottom (mapped to XML bottom) <br>
 */
class MP7JRS_EXPORT Mp7JrsSignalPlaneOriginType_yOrigin_LocalType
{
public:
	/** Mp7JrsSignalPlaneOriginType_yOrigin_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		top, // Mapped to top
		bottom, // Mapped to bottom
	};
	

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_yOrigin_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSignalPlaneOriginType_yOrigin_LocalType::Enumeration item);
	static Mp7JrsSignalPlaneOriginType_yOrigin_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_yOrigin_LocalType_ExtPropDef.h


};
#endif // _1905MP7JRSSIGNALPLANEORIGINTYPE_YORIGIN_LOCALTYPE_H
