/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1934MP7JRSSOUNDMODELTYPEFACTORY_H
#define _1934MP7JRSSOUNDMODELTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSoundModelTypeFactory<br>
 * for class Mp7JrsSoundModelType:<br>
 * Located at: audio-2001.xsd, line 662<br>
 * Classified: Class<br>
 * Derived from: ContinuousHiddenMarkovModelType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSoundModelTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSoundModelTypeFactory();
    virtual ~Mp7JrsSoundModelTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1934MP7JRSSOUNDMODELTYPEFACTORY_H
