/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2002MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_COLLECTIONTYPE0FACTORY_H
#define _2002MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_COLLECTIONTYPE0FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0Factory<br>
 * for class Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 136<br>
 * Item type: Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType0 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0Factory();
    virtual ~Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2002MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_COLLECTIONTYPE0FACTORY_H
