/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2081MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_AUDIO_LOCALTYPE_H
#define _2081MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_AUDIO_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSpokenContentLatticeType_Block_audio_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSpokenContentLatticeType_Block_audio_LocalType<br>
 * Located at: audio-2001.xsd, line 635<br>
 * Enumerations: <br>
 * unknown (mapped to XML unknown) <br>
 * speech (mapped to XML speech) <br>
 * noise (mapped to XML noise) <br>
 * noisySpeech (mapped to XML noisySpeech) <br>
 */
class MP7JRS_EXPORT Mp7JrsSpokenContentLatticeType_Block_audio_LocalType
{
public:
	/** Mp7JrsSpokenContentLatticeType_Block_audio_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		unknown, // Mapped to unknown
		speech, // Mapped to speech
		noise, // Mapped to noise
		noisySpeech, // Mapped to noisySpeech
	};
	

// no includefile for extension defined 
// file Mp7JrsSpokenContentLatticeType_Block_audio_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSpokenContentLatticeType_Block_audio_LocalType::Enumeration item);
	static Mp7JrsSpokenContentLatticeType_Block_audio_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSpokenContentLatticeType_Block_audio_LocalType_ExtPropDef.h


};
#endif // _2081MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_AUDIO_LOCALTYPE_H
