/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _137MP7JRSAUDIOSPECTRUMATTRIBUTEGRP_OCTAVERESOLUTION_LOCALTYPE_H
#define _137MP7JRSAUDIOSPECTRUMATTRIBUTEGRP_OCTAVERESOLUTION_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType<br>
 * Located at: audio-2001.xsd, line 97<br>
 * Enumerations: <br>
 * _1_16 (mapped to XML 1/16) <br>
 * _1_8 (mapped to XML 1/8) <br>
 * _1_4 (mapped to XML 1/4) <br>
 * _1_2 (mapped to XML 1/2) <br>
 * _1 (mapped to XML 1) <br>
 * _2 (mapped to XML 2) <br>
 * _4 (mapped to XML 4) <br>
 * _8 (mapped to XML 8) <br>
 */
class MP7JRS_EXPORT Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType
{
public:
	/** Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_1_16, // Mapped to 1/16
		_1_8, // Mapped to 1/8
		_1_4, // Mapped to 1/4
		_1_2, // Mapped to 1/2
		_1, // Mapped to 1
		_2, // Mapped to 2
		_4, // Mapped to 4
		_8, // Mapped to 8
	};
	

// no includefile for extension defined 
// file Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType::Enumeration item);
	static Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsaudioSpectrumAttributeGrp_octaveResolution_LocalType_ExtPropDef.h


};
#endif // _137MP7JRSAUDIOSPECTRUMATTRIBUTEGRP_OCTAVERESOLUTION_LOCALTYPE_H
