/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _730MP7JRSDIM_LOCALTYPEFACTORY_H
#define _730MP7JRSDIM_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7Jrsdim_LocalTypeFactory<br>
 * for class Mp7Jrsdim_LocalType:<br>
 * Located at: ddl-2001.xsd, line 50<br>
 * Derived from: listOfPositiveIntegerForDim (Collection)<br>
 */

class MP7JRS_EXPORT Mp7Jrsdim_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7Jrsdim_LocalTypeFactory();
    virtual ~Mp7Jrsdim_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _730MP7JRSDIM_LOCALTYPEFACTORY_H
