/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1242MP7JRSMEDIATIMEPOINTTYPEFACTORY_H
#define _1242MP7JRSMEDIATIMEPOINTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsmediaTimePointTypeFactory<br>
 * for class Mp7JrsmediaTimePointType:<br>
 * Located at: mds-2001.xsd, line 1027<br>
 * Regular expression: <br>
 * (\-?\d+(\-\d{2}(\-\d{2})?)?)?(T\d{2}(:\d{2}(:\d{2}(:\d+)?)?)?)?(F\d+)?<br>
 */

class MP7JRS_EXPORT Mp7JrsmediaTimePointTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsmediaTimePointTypeFactory();
    virtual ~Mp7JrsmediaTimePointTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1242MP7JRSMEDIATIMEPOINTTYPEFACTORY_H
