/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2604MP7JRSZEROTOONETYPEFACTORY_H
#define _2604MP7JRSZEROTOONETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrszeroToOneTypeFactory<br>
 * for class Mp7JrszeroToOneType:<br>
 * Located at: mds-2001.xsd, line 666<br>
 * Derived from: float (Value)<br>
 */

class MP7JRS_EXPORT Mp7JrszeroToOneTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrszeroToOneTypeFactory();
    virtual ~Mp7JrszeroToOneTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2604MP7JRSZEROTOONETYPEFACTORY_H
