/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _140MP7JRSAUDIOSPECTRUMBASISTYPEFACTORY_H
#define _140MP7JRSAUDIOSPECTRUMBASISTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAudioSpectrumBasisTypeFactory<br>
 * for class Mp7JrsAudioSpectrumBasisType:<br>
 * Located at: audio-2001.xsd, line 183<br>
 * Classified: Class<br>
 * Derived from: AudioLLDVectorType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsAudioSpectrumBasisTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAudioSpectrumBasisTypeFactory();
    virtual ~Mp7JrsAudioSpectrumBasisTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _140MP7JRSAUDIOSPECTRUMBASISTYPEFACTORY_H
