/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _354MP7JRSCLASSIFICATIONTYPE_RELEASE_LOCALTYPEFACTORY_H
#define _354MP7JRSCLASSIFICATIONTYPE_RELEASE_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsClassificationType_Release_LocalTypeFactory<br>
 * for class Mp7JrsClassificationType_Release_LocalType:<br>
 * Located at: mds-2001.xsd, line 2644<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsClassificationType_Release_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsClassificationType_Release_LocalTypeFactory();
    virtual ~Mp7JrsClassificationType_Release_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _354MP7JRSCLASSIFICATIONTYPE_RELEASE_LOCALTYPEFACTORY_H
