/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _546MP7JRSCONCEPTCOLLECTIONTYPEFACTORY_H
#define _546MP7JRSCONCEPTCOLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsConceptCollectionTypeFactory<br>
 * for class Mp7JrsConceptCollectionType:<br>
 * Located at: mds-2001.xsd, line 5298<br>
 * Classified: Class<br>
 * Derived from: CollectionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsConceptCollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsConceptCollectionTypeFactory();
    virtual ~Mp7JrsConceptCollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _546MP7JRSCONCEPTCOLLECTIONTYPEFACTORY_H
