/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _828MP7JRSEXTENTTYPEFACTORY_H
#define _828MP7JRSEXTENTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsExtentTypeFactory<br>
 * for class Mp7JrsExtentType:<br>
 * Located at: mds-2001.xsd, line 4434<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsExtentTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsExtentTypeFactory();
    virtual ~Mp7JrsExtentTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _828MP7JRSEXTENTTYPEFACTORY_H
