/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _22MP7JRSIDREFSFACTORY_H
#define _22MP7JRSIDREFSFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsIDREFSFactory<br>
 * for class Mp7JrsIDREFS:<br>
 * Located at: , line -1<br>
 * Item type: string (String)<br>
 */

class MP7JRS_EXPORT Mp7JrsIDREFSFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsIDREFSFactory();
    virtual ~Mp7JrsIDREFSFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _22MP7JRSIDREFSFACTORY_H
