/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1023MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE_H
#define _1023MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsInkMediaInformationType_Style_LocalType<br>
 * Located at: mds-2001.xsd, line 3827<br>
 * Enumerations: <br>
 * printed (mapped to XML printed) <br>
 * cursive (mapped to XML cursive) <br>
 * drawing (mapped to XML drawing) <br>
 * mixed (mapped to XML mixed) <br>
 */
class MP7JRS_EXPORT Mp7JrsInkMediaInformationType_Style_LocalType
{
public:
	/** Mp7JrsInkMediaInformationType_Style_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		printed, // Mapped to printed
		cursive, // Mapped to cursive
		drawing, // Mapped to drawing
		mixed, // Mapped to mixed
	};
	

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsInkMediaInformationType_Style_LocalType::Enumeration item);
	static Mp7JrsInkMediaInformationType_Style_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType_ExtPropDef.h


};
#endif // _1023MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE_H
