/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

// PatternType_H

#ifndef _1025MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE0_H
#define _1025MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE0_H


#include "Mp7JrsDefines.h"
#include "Mp7JrsFactoryDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsInkMediaInformationType_Style_LocalType0Factory.h"
#include <xercesc/util/PlatformUtils.hpp>
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOM.hpp>
#include "Mp7JrsConvert.h"

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType0_ExtInclude.h



/**
 * Generated interface IMp7JrsInkMediaInformationType_Style_LocalType0 for Pattern Mp7JrsInkMediaInformationType_Style_LocalType0
 */
class MP7JRS_EXPORT IMp7JrsInkMediaInformationType_Style_LocalType0 :
	public Mp7JrsNode
{
public:
	virtual XMLCh * GetContent() const = 0;

	virtual void SetContent(XMLCh * val, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT) = 0;


// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType0_ExtMethodDef.h


};

/*
 * Generated pattern Mp7JrsInkMediaInformationType_Style_LocalType0<br>
 * Located at: mds-2001.xsd, line 3835<br>
 * Regular expression: <br>
 * :[^:]+:[^:]+<br>
 * Mapped to string<br>
 */
class MP7JRS_EXPORT Mp7JrsInkMediaInformationType_Style_LocalType0 :
	public IMp7JrsInkMediaInformationType_Style_LocalType0
{
	friend class Mp7JrsInkMediaInformationType_Style_LocalType0Factory;
	
public: 
	virtual XMLCh * GetContent() const;

	virtual void SetContent(XMLCh * val, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);


	virtual XMLCh * ToText() const;
	virtual bool Parse(const XMLCh * const txt);

	virtual void Serialize(XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument * doc, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement* parent, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement** newElem = NULL);
	virtual bool Deserialize(XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument * doc, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement * parent,  XERCES_CPP_NAMESPACE_QUALIFIER DOMElement ** current);

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType0_ExtMyMethodDef.h


	virtual ~Mp7JrsInkMediaInformationType_Style_LocalType0();

protected:
	Mp7JrsInkMediaInformationType_Style_LocalType0();
	virtual void DeepCopy(const Mp7JrsNodePtr &original);
	virtual Mp7JrsNodeEnum GetAllChildElements() const { return Mp7JrsNodeEnum(); }

	virtual Mp7JrsNodePtr GetBaseRoot();
	virtual const Mp7JrsNodePtr GetBaseRoot() const;

private:
	XMLCh * m_Content;

// no includefile for extension defined 
// file Mp7JrsInkMediaInformationType_Style_LocalType0_ExtPropDef.h


protected:
	void Init();
	void Cleanup();
};

#endif // _1025MP7JRSINKMEDIAINFORMATIONTYPE_STYLE_LOCALTYPE0_H

