/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1143MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE_H
#define _1143MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType<br>
 * Located at: mds-2001.xsd, line 2275<br>
 * Enumerations: <br>
 * none (mapped to XML none) <br>
 * _50over15Microseconds (mapped to XML 50over15Microseconds) <br>
 * ccittJ17 (mapped to XML ccittJ17) <br>
 */
class MP7JRS_EXPORT Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType
{
public:
	/** Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		none, // Mapped to none
		_50over15Microseconds, // Mapped to 50over15Microseconds
		ccittJ17, // Mapped to ccittJ17
	};
	

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType::Enumeration item);
	static Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType_ExtPropDef.h


};
#endif // _1143MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE_H
