/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1224MP7JRSMEDIARELINCRTIMEPOINTTYPEFACTORY_H
#define _1224MP7JRSMEDIARELINCRTIMEPOINTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMediaRelIncrTimePointTypeFactory<br>
 * for class Mp7JrsMediaRelIncrTimePointType:<br>
 * Located at: mds-2001.xsd, line 1073<br>
 * Classified: Class<br>
 * Derived from: integer (Value)<br>
 */

class MP7JRS_EXPORT Mp7JrsMediaRelIncrTimePointTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMediaRelIncrTimePointTypeFactory();
    virtual ~Mp7JrsMediaRelIncrTimePointTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1224MP7JRSMEDIARELINCRTIMEPOINTTYPEFACTORY_H
