/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1298MP7JRSMIXEDCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H
#define _1298MP7JRSMIXEDCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMixedCollectionType_CollectionType0Factory<br>
 * for class Mp7JrsMixedCollectionType_CollectionType0:<br>
 * Located at: mds-2001.xsd, line 5326<br>
 * Item type: MixedCollectionType_LocalType0 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsMixedCollectionType_CollectionType0Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMixedCollectionType_CollectionType0Factory();
    virtual ~Mp7JrsMixedCollectionType_CollectionType0Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1298MP7JRSMIXEDCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H
