/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef MP7JRS_NODEUPDATENOTIFICATION_H
#define MP7JRS_NODEUPDATENOTIFICATION_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNotification.h"


class  MP7JRS_EXPORT Mp7JrsNodeUpdateNotification : public Mp7JrsNotification {
public:
	
	Mp7JrsNodeUpdateNotification() {}

	~Mp7JrsNodeUpdateNotification() {}

	virtual Mp7JrsNotificationType GetType() { return MP7JRS_NOTIF_UPDATE; };

	Mp7JrsNodePtr			newNode;
	int						index;

};

#endif
