/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef MP7JRS_NOTIFICATION_H
#define MP7JRS_NOTIFICATION_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"

class  MP7JRS_EXPORT  Mp7JrsNotification {
public:
	Mp7JrsNotification() {}

	virtual ~Mp7JrsNotification() {}

	virtual Mp7JrsNotificationType GetType() = 0;

	Mp7JrsClientID				clientId;
	Mp7JrsNodePtr					node;
	Mp7JrsNotificationAction	action;

protected:
};

#endif
