/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1666MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_COLLECTIONTYPEFACTORY_H
#define _1666MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsProbabilityDistributionType_Moment_CollectionTypeFactory<br>
 * for class Mp7JrsProbabilityDistributionType_Moment_CollectionType:<br>
 * Located at: mds-2001.xsd, line 5407<br>
 * Item type: ProbabilityDistributionType_Moment_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsProbabilityDistributionType_Moment_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsProbabilityDistributionType_Moment_CollectionTypeFactory();
    virtual ~Mp7JrsProbabilityDistributionType_Moment_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1666MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_COLLECTIONTYPEFACTORY_H
