/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1746MP7JRSSCALABLESERIESTYPEFACTORY_H
#define _1746MP7JRSSCALABLESERIESTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsScalableSeriesTypeFactory<br>
 * for class Mp7JrsScalableSeriesType:<br>
 * Located at: audio-2001.xsd, line 257<br>
 * Classified: Class<br>
 * Abstract class <br>
 */

class MP7JRS_EXPORT Mp7JrsScalableSeriesTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsScalableSeriesTypeFactory();
    virtual ~Mp7JrsScalableSeriesTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1746MP7JRSSCALABLESERIESTYPEFACTORY_H
