/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1808MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTIONSCHEME_COLLECTIONTYPEFACTORY_H
#define _1808MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTIONSCHEME_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionTypeFactory<br>
 * for class Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionType:<br>
 * Located at: mds-2001.xsd, line 4232<br>
 * Abstract item type: AudioDSType<br>
 * Possible classes:<br>
 * \li AudioSignatureType (Class)<br>
 * \li HarmonicInstrumentTimbreType (Class)<br>
 * \li InstrumentTimbreType (Class)<br>
 * \li KeyType (Class)<br>
 * \li MelodyContourType (Class)<br>
 * \li MelodySequenceType (Class)<br>
 * \li MelodySequenceType_NoteArray_LocalType (Class)<br>
 * \li MelodyType (Class)<br>
 * \li PercussiveInstrumentTimbreType (Class)<br>
 * \li SoundModelStatePathType (Class)<br>
 * \li SpokenContentLatticeType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionTypeFactory();
    virtual ~Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1808MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTIONSCHEME_COLLECTIONTYPEFACTORY_H
