/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1810MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTOR_COLLECTIONTYPEFACTORY_H
#define _1810MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTOR_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionTypeFactory<br>
 * for class Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionType:<br>
 * Located at: mds-2001.xsd, line 4231<br>
 * Abstract item type: AudioDType<br>
 * Possible classes:<br>
 * \li AudioFundamentalFrequencyType (Class)<br>
 * \li AudioHarmonicityType (Class)<br>
 * \li AudioPowerType (Class)<br>
 * \li AudioSpectrumBasisType (Class)<br>
 * \li AudioSpectrumCentroidType (Class)<br>
 * \li AudioSpectrumEnvelopeType (Class)<br>
 * \li AudioSpectrumFlatnessType (Class)<br>
 * \li AudioSpectrumProjectionType (Class)<br>
 * \li AudioSpectrumSpreadType (Class)<br>
 * \li AudioWaveformType (Class)<br>
 * \li HarmonicSpectralCentroidType (Class)<br>
 * \li HarmonicSpectralDeviationType (Class)<br>
 * \li HarmonicSpectralSpreadType (Class)<br>
 * \li HarmonicSpectralVariationType (Class)<br>
 * \li LogAttackTimeType (Class)<br>
 * \li MeterType (Class)<br>
 * \li SilenceType (Class)<br>
 * \li SoundModelStateHistogramType (Class)<br>
 * \li SpectralCentroidType (Class)<br>
 * \li TemporalCentroidType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionTypeFactory();
    virtual ~Mp7JrsSemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1810MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_AUDIODESCRIPTOR_COLLECTIONTYPEFACTORY_H
