/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2053MP7JRSSPEAKERINFOTYPE_PROVENANCE_LOCALTYPE_H
#define _2053MP7JRSSPEAKERINFOTYPE_PROVENANCE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSpeakerInfoType_provenance_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSpeakerInfoType_provenance_LocalType<br>
 * Located at: audio-2001.xsd, line 491<br>
 * Enumerations: <br>
 * unknown (mapped to XML unknown) <br>
 * ASR (mapped to XML ASR) <br>
 * manual (mapped to XML manual) <br>
 * keyword (mapped to XML keyword) <br>
 * parsing (mapped to XML parsing) <br>
 */
class MP7JRS_EXPORT Mp7JrsSpeakerInfoType_provenance_LocalType
{
public:
	/** Mp7JrsSpeakerInfoType_provenance_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		unknown, // Mapped to unknown
		ASR, // Mapped to ASR
		manual, // Mapped to manual
		keyword, // Mapped to keyword
		parsing, // Mapped to parsing
	};
	

// no includefile for extension defined 
// file Mp7JrsSpeakerInfoType_provenance_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSpeakerInfoType_provenance_LocalType::Enumeration item);
	static Mp7JrsSpeakerInfoType_provenance_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSpeakerInfoType_provenance_LocalType_ExtPropDef.h


};
#endif // _2053MP7JRSSPEAKERINFOTYPE_PROVENANCE_LOCALTYPE_H
