/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2080MP7JRSSPOKENCONTENTLATTICETYPEFACTORY_H
#define _2080MP7JRSSPOKENCONTENTLATTICETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpokenContentLatticeTypeFactory<br>
 * for class Mp7JrsSpokenContentLatticeType:<br>
 * Located at: audio-2001.xsd, line 596<br>
 * Classified: Class<br>
 * Derived from: AudioDSType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSpokenContentLatticeTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpokenContentLatticeTypeFactory();
    virtual ~Mp7JrsSpokenContentLatticeTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2080MP7JRSSPOKENCONTENTLATTICETYPEFACTORY_H
