/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2315MP7JRSTEXTUREBROWSINGTYPE_REGULARITY_LOCALTYPE_H
#define _2315MP7JRSTEXTUREBROWSINGTYPE_REGULARITY_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Regularity_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTextureBrowsingType_Regularity_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 692<br>
 * Enumerations: <br>
 * irregular (mapped to XML irregular) <br>
 * slightlyRegular (mapped to XML slightlyRegular) <br>
 * regular (mapped to XML regular) <br>
 * highlyRegular (mapped to XML highlyRegular) <br>
 */
class MP7JRS_EXPORT Mp7JrsTextureBrowsingType_Regularity_LocalType
{
public:
	/** Mp7JrsTextureBrowsingType_Regularity_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		irregular, // Mapped to irregular
		slightlyRegular, // Mapped to slightlyRegular
		regular, // Mapped to regular
		highlyRegular, // Mapped to highlyRegular
	};
	

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Regularity_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTextureBrowsingType_Regularity_LocalType::Enumeration item);
	static Mp7JrsTextureBrowsingType_Regularity_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Regularity_LocalType_ExtPropDef.h


};
#endif // _2315MP7JRSTEXTUREBROWSINGTYPE_REGULARITY_LOCALTYPE_H
