/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2471MP7JRSVARIATIONTYPE_VARIATIONRELATIONSHIP_LOCALTYPE_H
#define _2471MP7JRSVARIATIONTYPE_VARIATIONRELATIONSHIP_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsVariationType_VariationRelationship_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsVariationType_VariationRelationship_LocalType<br>
 * Located at: mds-2001.xsd, line 5167<br>
 * Enumerations: <br>
 * summarization (mapped to XML summarization) <br>
 * abstraction (mapped to XML abstraction) <br>
 * extraction (mapped to XML extraction) <br>
 * modalityTranslation (mapped to XML modalityTranslation) <br>
 * languageTranslation (mapped to XML languageTranslation) <br>
 * colorReduction (mapped to XML colorReduction) <br>
 * spatialReduction (mapped to XML spatialReduction) <br>
 * temporalReduction (mapped to XML temporalReduction) <br>
 * samplingReduction (mapped to XML samplingReduction) <br>
 * rateReduction (mapped to XML rateReduction) <br>
 * qualityReduction (mapped to XML qualityReduction) <br>
 * compression (mapped to XML compression) <br>
 * scaling (mapped to XML scaling) <br>
 * revision (mapped to XML revision) <br>
 * substitution (mapped to XML substitution) <br>
 * replay (mapped to XML replay) <br>
 * alternativeView (mapped to XML alternativeView) <br>
 * alternativeMediaProfile (mapped to XML alternativeMediaProfile) <br>
 */
class MP7JRS_EXPORT Mp7JrsVariationType_VariationRelationship_LocalType
{
public:
	/** Mp7JrsVariationType_VariationRelationship_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		summarization, // Mapped to summarization
		abstraction, // Mapped to abstraction
		extraction, // Mapped to extraction
		modalityTranslation, // Mapped to modalityTranslation
		languageTranslation, // Mapped to languageTranslation
		colorReduction, // Mapped to colorReduction
		spatialReduction, // Mapped to spatialReduction
		temporalReduction, // Mapped to temporalReduction
		samplingReduction, // Mapped to samplingReduction
		rateReduction, // Mapped to rateReduction
		qualityReduction, // Mapped to qualityReduction
		compression, // Mapped to compression
		scaling, // Mapped to scaling
		revision, // Mapped to revision
		substitution, // Mapped to substitution
		replay, // Mapped to replay
		alternativeView, // Mapped to alternativeView
		alternativeMediaProfile, // Mapped to alternativeMediaProfile
	};
	

// no includefile for extension defined 
// file Mp7JrsVariationType_VariationRelationship_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsVariationType_VariationRelationship_LocalType::Enumeration item);
	static Mp7JrsVariationType_VariationRelationship_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsVariationType_VariationRelationship_LocalType_ExtPropDef.h


};
#endif // _2471MP7JRSVARIATIONTYPE_VARIATIONRELATIONSHIP_LOCALTYPE_H
