/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _674MP7JRSCURVATURETYPEFACTORY_H
#define _674MP7JRSCURVATURETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrscurvatureTypeFactory<br>
 * for class Mp7JrscurvatureType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 794<br>
 * Derived from: curvatureType_CollectionType (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrscurvatureTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrscurvatureTypeFactory();
    virtual ~Mp7JrscurvatureTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _674MP7JRSCURVATURETYPEFACTORY_H
