/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _677MP7JRSDEGREEACCIDENTALTYPE_H
#define _677MP7JRSDEGREEACCIDENTALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsdegreeAccidentalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsdegreeAccidentalType<br>
 * Located at: audio-2001.xsd, line 839<br>
 * Enumerations: <br>
 * flat (mapped to XML flat) <br>
 * natural (mapped to XML natural) <br>
 * sharp (mapped to XML sharp) <br>
 * doubleSharp (mapped to XML doubleSharp) <br>
 * doubleFlat (mapped to XML doubleFlat) <br>
 */
class MP7JRS_EXPORT Mp7JrsdegreeAccidentalType
{
public:
	/** Mp7JrsdegreeAccidentalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		flat, // Mapped to flat
		natural, // Mapped to natural
		sharp, // Mapped to sharp
		doubleSharp, // Mapped to doubleSharp
		doubleFlat, // Mapped to doubleFlat
	};
	

// no includefile for extension defined 
// file Mp7JrsdegreeAccidentalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsdegreeAccidentalType::Enumeration item);
	static Mp7JrsdegreeAccidentalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsdegreeAccidentalType_ExtPropDef.h


};
#endif // _677MP7JRSDEGREEACCIDENTALTYPE_H
