/*****************************************************************************/
/* Copyright (C) 2003-2006, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _679MP7JRSDEGREENOTETYPE_H
#define _679MP7JRSDEGREENOTETYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsdegreeNoteType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsdegreeNoteType<br>
 * Located at: audio-2001.xsd, line 828<br>
 * Enumerations: <br>
 * C (mapped to XML C) <br>
 * D (mapped to XML D) <br>
 * E (mapped to XML E) <br>
 * F (mapped to XML F) <br>
 * G (mapped to XML G) <br>
 * A (mapped to XML A) <br>
 * B (mapped to XML B) <br>
 */
class MP7JRS_EXPORT Mp7JrsdegreeNoteType
{
public:
	/** Mp7JrsdegreeNoteType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		C, // Mapped to C
		D, // Mapped to D
		E, // Mapped to E
		F, // Mapped to F
		G, // Mapped to G
		A, // Mapped to A
		B, // Mapped to B
	};
	

// no includefile for extension defined 
// file Mp7JrsdegreeNoteType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsdegreeNoteType::Enumeration item);
	static Mp7JrsdegreeNoteType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsdegreeNoteType_ExtPropDef.h


};
#endif // _679MP7JRSDEGREENOTETYPE_H
